### Method

# Gimp Drawable equalize

since: 2.10

#### Declaration [src]

    gboolean
    gimp_drawable_equalize (
      GimpDrawable* drawable,
      gboolean mask_only
    )

#### Description [src]

Equalize the contents of the specified drawable.

This procedure equalizes the contents of the specified drawable. Each intensity channel is equalized independently. The equalized intensity is given as inten’ = (255 - inten). The ‘mask_only’ option specifies whether to adjust only the area of the image within the selection bounds, or the entire image based on the histogram of the selected area. If there is no selection, the entire image is adjusted based on the histogram for the entire image.

Available since: 2.10

#### Parameters

`mask_only`

  Type: `gboolean`

  Equalization option.

#### Return value

Type: `gboolean`

TRUE on success.